## libraw-lite 0.7.2-maemo3

=== Makefile ===
all: library all_samples 

CFLAGS=-O4  -I. -w

# LCMS support
#LCMS_DEF=-DUSE_LCMS -I/usr/local/include
#LCMS_LIB=-L/usr/local/lib -llcms


DCRAW_LIB_OBJECTS=object/dcraw_common.o object/libraw_cxx.o object/libraw_c_api.o object/dcraw_fileio.o
DCRAW_LIB_MT_OBJECTS=object/dcraw_common_mt.o object/libraw_cxx_mt.o object/libraw_c_api_mt.o object/dcraw_fileio_mt.o

library: lib/libraw-lite.a lib/libraw-lite_r.a

all_samples: bin/raw-identify bin/simple_dcraw  bin/dcraw_emu bin/dcraw_half bin/half_mt bin/mem_image bin/4channels

install-headers:
	@if [ -d ${DESTDIR}/usr/include ] ; then cp -R libraw ${DESTDIR}/usr/include/ ; else echo "no ${DESTDIR}/usr/include" ; fi

install: library
	@if [ -d ${DESTDIR}/usr/lib ] ; then cp lib/libraw-lite.a lib/libraw-lite_r.a ${DESTDIR}/usr/lib/ ; else echo "no ${DESTDIR}/usr/lib" ; fi

install-binaries: all_samples
	@if [ -d ${DESTDIR}/usr/bin ] ; then cp bin/[a-z]* ${DESTDIR}/usr/bin/ ; else echo "no ${DESTDIR}/usr/bin" ; fi


#binaries

RLIB=-L./lib -lraw-lite
RLIBR=-L./lib -lraw-lite_r

bin/raw-identify: library samples/raw-identify.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/raw-identify samples/raw-identify.cpp $(RLIB) -lm ${LCMS_LIB}

bin/4channels: library samples/4channels.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/4channels samples/4channels.cpp $(RLIB) -lm  ${LCMS_LIB}

bin/simple_dcraw: library samples/simple_dcraw.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF}  ${CFLAGS} -o bin/simple_dcraw samples/simple_dcraw.cpp $(RLIB) -lm  ${LCMS_LIB}

bin/mem_image: library samples/mem_image.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/mem_image samples/mem_image.cpp $(RLIB)  -lm  ${LCMS_LIB}

bin/dcraw_half: library object/dcraw_half.o
	gcc -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/dcraw_half object/dcraw_half.o $(RLIB) -lm -lstdc++  ${LCMS_LIB}

bin/half_mt: library object/half_mt.o
	gcc ${LCMS_DEF}  -pthread ${CFLAGS} -o bin/half_mt object/half_mt.o $(RLIBR)  -lm -lstdc++  ${LCMS_LIB}

bin/dcraw_emu: library samples/dcraw_emu.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/dcraw_emu samples/dcraw_emu.cpp $(RLIB) -lm  ${LCMS_LIB}

#objects

object/dcraw_common.o: internal/dcraw_common.cpp
	g++ -c -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o object/dcraw_common.o internal/dcraw_common.cpp

object/dcraw_fileio.o: internal/dcraw_fileio.cpp
	g++ -c -DLIBRAW_NOTHREADS ${CFLAGS} ${LCMS_DEF} -o object/dcraw_fileio.o internal/dcraw_fileio.cpp

object/libraw_cxx.o: src/libraw_cxx.cpp
	g++ -c -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o object/libraw_cxx.o src/libraw_cxx.cpp

object/libraw_c_api.o: src/libraw_c_api.cpp
	g++ -c -DLIBRAW_NOTHREADS  ${LCMS_DEF} ${CFLAGS} -o object/libraw_c_api.o src/libraw_c_api.cpp

object/dcraw_half.o: samples/dcraw_half.c
	gcc -c -DLIBRAW_NOTHREADS  ${LCMS_DEF} ${CFLAGS} -o object/dcraw_half.o samples/dcraw_half.c

object/half_mt.o: samples/half_mt.c
	gcc -c -pthread ${LCMS_DEF}  ${CFLAGS} -o object/half_mt.o samples/half_mt.c


lib/libraw-lite.a: ${DCRAW_LIB_OBJECTS}
	rm -f lib/libraw-lite.a
	ar crv lib/libraw-lite.a ${DCRAW_LIB_OBJECTS}
	ranlib lib/libraw-lite.a

lib/libraw-lite_r.a: ${DCRAW_LIB_MT_OBJECTS}
	rm -f lib/libraw-lite_r.a
	ar crv lib/libraw-lite_r.a ${DCRAW_LIB_MT_OBJECTS}
	ranlib lib/libraw-lite_r.a

object/dcraw_common_mt.o: internal/dcraw_common.cpp
	g++ -c -pthread ${LCMS_DEF}  ${CFLAGS} -o object/dcraw_common_mt.o internal/dcraw_common.cpp

object/dcraw_fileio_mt.o: internal/dcraw_fileio.cpp
	g++ -c -pthread ${LCMS_DEF} ${CFLAGS} -o object/dcraw_fileio_mt.o internal/dcraw_fileio.cpp

object/libraw_cxx_mt.o: src/libraw_cxx.cpp
	g++ -c ${LCMS_DEF}  -pthread ${CFLAGS} -o object/libraw_cxx_mt.o src/libraw_cxx.cpp

object/libraw_c_api_mt.o: src/libraw_c_api.cpp
	g++ -c ${LCMS_DEF}  -pthread ${CFLAGS} -o object/libraw_c_api_mt.o src/libraw_c_api.cpp

clean:
	rm -fr bin/*.dSYM
	rm -f *.o *~ src/*~ samples/*~ internal/*~ libraw/*~ lib/lib*.a bin/[4a-z]* object/*o dcraw/*~ doc/*~ bin/*~

## libraw-lite 0.7.2-maemo1

=== debian/changelog ===
libraw-lite (0.7.2-maemo1) fremantle; urgency=low

  * Initial release

 -- Luca Donaggio <donaggio@gmail.com>  Thu,  4 Jun 2009 13:49:05 +0200

=== debian/control ===
Source: libraw-lite
Priority: extra
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libraw-lite-dev
Section: libdevel
Architecture: any
Depends: libraw-lite
Description: Header files for LibRaw-Lite

Package: libraw-lite
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LibRaw-Lite is a library for reading RAW files obtained from digital photo cameras
 LibRaw-Lite is based on the source codes of the dcraw utility, where part of drawbacks have already been eliminated and part will be fixed in future.
 The users of the library are provided with API to be built into their software programs.
 LibRaw-Lite is slightly lighter than GPL-licensed LibRaw:
    * With LGPL License, you may use unmodified library in non-opensource applications.
    * (Sorry) Foveon support is absent due to dcraw license restrictions.
    * Minor enhancements found in full LibRaw are absent in Lite version:
          o Black (masked) pixels are not extracted from RAW data.
          o It is not possible to control black level subtraction, raw curve processing, zero pixels removal.
          o Color data source (i.e. from camera/from hardcoded constant etc.) is not saved for application use.
          o There is no OpenMP support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(CURDIR)/debian/libraw-lite/usr/lib
	$(MAKE) DESTDIR=$(CURDIR)/debian/libraw-lite install
	mkdir -p $(CURDIR)/debian/libraw-lite-dev/usr/include
	$(MAKE) DESTDIR=$(CURDIR)/debian/libraw-lite-dev install-headers

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog.rus
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libraw-lite 0.7.2-maemo2

=== debian/changelog ===
libraw-lite (0.7.2-maemo2) fremantle; urgency=low

  * Added optification to debian/rules

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 23 Oct 2009 13:36:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libraw-lite
 Priority: extra
 Maintainer: Luca Donaggio <donaggio@gmail.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), maemo-optify
 Standards-Version: 3.7.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -100,6 +100,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## libraw-lite 0.7.2-maemo3

=== debian/changelog ===
libraw-lite (0.7.2-maemo3) fremantle; urgency=low

  * Changed optification mechanism (from debian/rules to debian/optify)

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 22 Feb 2010 13:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: libraw-lite
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1000
+Homepage: http://mrawviewer.garage.maemo.org
 Priority: extra
 Maintainer: Luca Donaggio <donaggio@gmail.com>
-Build-Depends: debhelper (>= 5), maemo-optify
+Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 Section: libs
